## org.eclipse.datatools.connectivity.ui
Class CommonLabelProviderBase

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.CommonLabelProviderBase

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.ui.navigator.ICommonLabelProvider, org.eclipse.ui.navigator.IDescriptionProvider, org.eclipse.ui.navigator.IMementoAware

    public class CommonLabelProviderBase

extends java.lang.Object
implements org.eclipse.ui.navigator.ICommonLabelProvider

Base label provider class that can be extended for adding content to a connection profile using a navigatorContent extension. Manages the labels for IContentExtension. Labels from the connection object on down is provided by the delegate label provider. This class allows clients to plug-in existing label providers for a connection type.

Constructor Summary
`CommonLabelProviderBase(org.eclipse.jface.viewers.ILabelProvider delegate)`

Method Summary
`void` `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` `dispose()`
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getDescription(java.lang.Object anElement)`
`org.eclipse.swt.graphics.Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`
`int` `hashCode()`
`void` `init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)`
`void` `init(org.eclipse.ui.navigator.IExtensionStateModel aStateModel, org.eclipse.jface.viewers.ITreeContentProvider aContentProvider)`
`boolean` `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` `restoreState(org.eclipse.ui.IMemento aMemento)`
`void` `saveState(org.eclipse.ui.IMemento aMemento)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonLabelProviderBase

    public CommonLabelProviderBase(org.eclipse.jface.viewers.ILabelProvider delegate)

Method Detail

### init

    public void init(org.eclipse.ui.navigator.IExtensionStateModel aStateModel,
                     org.eclipse.jface.viewers.ITreeContentProvider aContentProvider)

### getDescription

    public java.lang.String getDescription(java.lang.Object anElement)

  Specified by:
    `getDescription` in interface `org.eclipse.ui.navigator.IDescriptionProvider`

### restoreState

    public void restoreState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `restoreState` in interface `org.eclipse.ui.navigator.IMementoAware`

### saveState

    public void saveState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `saveState` in interface `org.eclipse.ui.navigator.IMementoAware`

### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

  Specified by:
    `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`

### getText

    public java.lang.String getText(java.lang.Object element)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### init

    public void init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)

  Specified by:
    `init` in interface `org.eclipse.ui.navigator.ICommonLabelProvider`